# Bio.ExPASy.Prodoc module

Code to work with the prosite.doc file from Prosite.

See https://www.expasy.org/prosite/

Tested with:

  - Release 15.0, July 1998

  - Release 16.0, July 1999

  - Release 20.22, 13 November 2007

  - Release 20.43, 10 February 2009

Functions:

  - read Read a Prodoc file containing exactly one Prodoc entry.

  - parse Iterates over entries in a Prodoc file.

Classes:

  - Record Holds Prodoc data.

  - Reference Holds data from a Prodoc reference.

Bio.ExPASy.Prodoc.read(handle)

  Read in a record from a file with exactly one Prodoc record.

Bio.ExPASy.Prodoc.parse(handle)

  Iterate over the records in a Prodoc file.

class Bio.ExPASy.Prodoc.Record

  Bases: `object`

  Holds information from a Prodoc record.

  Attributes:

    - accession Accession number of the record.

    - prosite_refs List of tuples (prosite accession, prosite name).

    - text Free format text.

    - references List of reference objects.

  __init__()

    Initialize the class.

  __firstlineno__ = 46
  __static_attributes__ = ('accession', 'prosite_refs', 'references', 'text')

class Bio.ExPASy.Prodoc.Reference

  Bases: `object`

  Holds information from a Prodoc citation.

  Attributes:

    - number Number of the reference. (string)

    - authors Names of the authors.

    - citation Describes the citation.

  __init__()

    Initialize the class.

  __firstlineno__ = 65
  __static_attributes__ = ('authors', 'citation', 'number')

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub